n, q, k = map(int, input().split())
priorities = list(map(int, input().split()))

for _ in range(q):
    l, r = map(int, input().split())
    priorities[l - 1:r] = sorted(priorities[l - 1:r])

# После всех изменений, найти k-е дело
kth_priority = priorities[k - 1]

# Найти номер дела с приоритетом kth_priority
kth_task = priorities.index(kth_priority) + 1

print(kth_task)